SSD1306 OLED display driver 1.8.2 This library is developed to control SSD1306/SSD1331/SSD1351/IL9163/PCD8554 RGB i2c/spi LED displays

List of all members
NanoEngine< C, W, H, B > Class Template Reference

`#include <core.h>`

Inheritance diagram for NanoEngine< C, W, H, B >:

| NanoEngine ()
static void | display ()
| refreshes content on oled display. Refreshes content on oled display. Call it, if you want to update the screen. Engine will update only those areas, which are marked by refresh() methods.
static void | begin ()
static void | notify (const char *str)
| shows notification to a user for 1 seconds Shows notification to a user for 1 seconds More...

## Additional Inherited Members
Public Member Functions inherited from NanoEngineTiler< C, W, H, B >
const NanoPoint & | getPosition () const
Static Public Member Functions inherited from NanoEngineCore
static void | begin ()
static void | setFrameRate (uint8_t fps)
static uint8_t | getFrameRate ()
static uint8_t | getCpuLoad ()
static bool | nextFrame ()
static void | loopCallback (TLoopCallback callback)
Static Public Member Functions inherited from NanoEngineInputs
static bool | pressed (uint8_t buttons)
| Returns true if button or specific combination of buttons is not pressed. Returns true if button or specific combination of buttons is pressed. More...
static bool | notPressed (uint8_t buttons)
| Returns true if button or specific combination of buttons is not pressed. Returns true if button or specific combination of buttons is not pressed. More...
static uint8_t | buttonsState ()
| Returns bits of all pressed buttons. More...
static void | connectCustomKeys (TNanoEngineGetButtons handler)
static void | connectZKeypad (uint8_t analogPin)
| Enables engine to use Z-Keypad. Enables engine to use Z-Keypad. Please refer to arkanoid example for schematics. More...
static void | connectArduboyKeys ()
| Configures NanoEngine8 to use Arduboy keys layout. Configures NanoEngine8 to use Arduboy keys layout.
static void | connectGpioKeypad (const uint8_t *gpioKeys)
| Enables engine to use GPIO keys. More...
Static Public Member Functions inherited from NanoEngineTiler< C, W, H, B >
static void | refresh ()
static void | refresh (const NanoRect &rect)
static void | refresh (const NanoPoint &point)
static void | refresh (lcdint_t x1, lcdint_t y1, lcdint_t x2, lcdint_t y2)
static void | refreshWorld (const NanoRect &rect)
static void | refreshWorld (lcdint_t x1, lcdint_t y1, lcdint_t x2, lcdint_t y2)
static void | refreshWorld (const NanoPoint &point)
static void | localCoordinates ()
static void | worldCoordinates ()
static void | moveTo (const NanoPoint &position)
static void | moveToAndRefresh (const NanoPoint &position)
static void | drawCallback (TNanoEngineOnDraw callback)
static bool | collision (NanoPoint &p, NanoRect &rect)
| Returns true if point is inside the rectangle area. Returns true if point is inside the rectangle area. More...
Static Public Attributes inherited from NanoEngineTiler< C, W, H, B >
static const uint8_t | NE_TILE_SIZE_BITS = B
static const lcduint_t | NE_TILE_WIDTH = W
static const lcduint_t | NE_TILE_HEIGHT = H
static const uint8_t | NE_MAX_TILES_NUM = 64 >> (B - 3)
static C | canvas
Protected Member Functions inherited from NanoEngineInputs
| NanoEngineInputs ()
Protected Member Functions inherited from NanoEngineTiler< C, W, H, B >
| NanoEngineTiler ()
Static Protected Member Functions inherited from NanoEngineTiler< C, W, H, B >
static void | displayBuffer ()
| refreshes content on oled display. Refreshes content on oled display. Call it, if you want to update the screen. Engine will update only those areas, which are marked by refresh() methods.
static void | displayPopup (const char *msg)
| prints popup message over display content prints popup message over display content More...
Static Protected Attributes inherited from NanoEngineCore
static uint8_t | m_frameDurationMs
static uint8_t | m_fps
static uint8_t | m_cpuLoad
static uint32_t | m_lastFrameTs
static TLoopCallback | m_loop
Static Protected Attributes inherited from NanoEngineInputs
static TNanoEngineGetButtons | m_onButtons
Static Protected Attributes inherited from NanoEngineTiler< C, W, H, B >
static uint16_t | m_refreshFlags [NE_MAX_TILES_NUM]
static TNanoEngineOnDraw | m_onDraw = nullptr

## Detailed Description

### template<class C, uint8_t W, uint8_t H, uint8_t B>
class NanoEngine< C, W, H, B >

Base class for NanoEngine.

Definition at line 230 of file core.h.

## Constructor & Destructor Documentation

## ◆ NanoEngine()

template<class C , uint8_t W, uint8_t H, uint8_t B>

NanoEngine< C, W, H, B >::NanoEngine | ( |  | ) |

Initializes Nano Engine Base object.

Definition at line 264 of file core.h.

## Member Function Documentation

## ◆ begin()

template<class C , uint8_t W, uint8_t H, uint8_t B>

void NanoEngine< C, W, H, B >::begin | ( |  | ) |
| static

Initializes internal timestamps, engine state, and switches oled display to required mode (see ssd1306_setMode()).

Definition at line 278 of file core.h.

## ◆ notify()

template<class C , uint8_t W, uint8_t H, uint8_t B>

void NanoEngine< C, W, H, B >::notify | ( | const char * | str | ) |
| static

shows notification to a user for 1 seconds Shows notification to a user for 1 seconds

Parameters

  str | - pointer to null-terminated string to show

Definition at line 288 of file core.h.

The documentation for this class was generated from the following file:

- nano_engine/core.h